package cn.com.infosec.jce.logger;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Iterator;
import java.util.Map;

public class ConsoleLogger {
   private static Date now = new Date();
   private static SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
   public static boolean isPrintST;
   public static boolean isDebug;
   public static boolean isSave;
   private static int projectID;
   private static final String title = "ISFJ";

   private static void printHead() {
      now.setTime(System.currentTimeMillis());
      String var10000 = format.format(now);
      StringBuilder var0;
      StringBuilder var10001 = var0 = new StringBuilder;
      var10001.<init>();
      var10001.append("---------------").append("ISFJ").append("(").append(var10000).append(")---------------");
      System.out.println(var0);
   }

   private static void printTail() {
      StringBuilder var0;
      StringBuilder var10000 = var0 = new StringBuilder;
      var10000.<init>();
      var10000.append("--------------------------------------------------").append("----");
      System.out.println(var0);
   }

   public static void logException(Throwable e, String info) {
      printHead();
      System.out.println(info);
      System.out.println("An exception catched: " + e.toString());
      if (isPrintST) {
         System.out.println("Full stacktrace as below:");
         e.printStackTrace(System.out);
         System.out.flush();
      }

      printTail();
   }

   public static void logException(Throwable e) {
      printHead();
      System.out.println("An Exception catched:" + e.toString());
      if (isPrintST) {
         System.out.println("Full stacktrace as below:");
         e.printStackTrace(System.out);
         System.out.flush();
      }

      printTail();
   }

   public static void logBinary(String title, byte[] bs) {
      if (isDebug) {
         printHead();
         if (bs != null) {
            System.out.println(title + "(" + bs.length + "):");
            int title1 = 0;
            int var2 = bs.length;

            while(title1 < var2) {
               int var3;
               if ((var3 = bs[title1] & 255) < 16) {
                  System.out.print("0" + Integer.toString(var3, 16) + " ");
               } else {
                  System.out.print(Integer.toString(var3, 16) + " ");
               }

               if (++title1 % 32 == 0) {
                  System.out.print("\n");
               }
            }

            System.out.print("\n");
         } else {
            System.out.println(title + "(0):");
         }

         printTail();
      }
   }

   public static void saveBinary(String param0, byte[] param1) {
      // $FF: Couldn't be decompiled
   }

   public static void saveReaded(String param0, byte[] param1, byte[] param2, byte param3) {
      // $FF: Couldn't be decompiled
   }

   public static void logStringForce(String msg) {
      printHead();
      System.out.println(msg);
      printTail();
   }

   public static void logString(byte[] msg) {
      if (isDebug) {
         printHead();
         System.out.println(new String(msg));
         printTail();
      }
   }

   public static void logString(String msg) {
      if (isDebug) {
         printHead();
         System.out.println(msg);
         printTail();
      }
   }

   public static void logString(String msg, int pid) {
      if (isDebug) {
         if (pid == (pid = projectID) || pid < 0) {
            printHead();
            System.out.println(msg);
            printTail();
         }

      }
   }

   public static void logArray(Object[] objs) {
      if (isDebug) {
         printHead();
         StringBuffer var1;
         StringBuffer var10001 = var1 = new StringBuffer;
         var10001.<init>();
         var10001.append("[");
         int var2 = 0;

         for(int var3 = objs.length; var2 < var3; ++var2) {
            var1.append(" \"").append(objs[var2].toString()).append("\"");
         }

         var1.append("]");
         System.out.println(var1.toString());
         printTail();
      }
   }

   public static void logMap(Map m) {
      if (isDebug) {
         printHead();
         StringBuffer var1;
         StringBuffer var10001 = var1 = new StringBuffer;
         var10001.<init>();
         var10001.append("[");
         Iterator var2 = m.keySet().iterator();

         while(var2.hasNext()) {
            Object var3 = var2.next();
            var1.append(" \"").append(var3.toString()).append("=").append(m.get(var3).toString()).append("\"");
         }

         var1.append("]");
         System.out.println(var1.toString());
         printTail();
      }
   }
}
